Functions
Initialization and de-initialization Functions
Peripheral Driver » HAL Driver » ADC » Functions

Initialization and Configuration functions. More...

Collaboration diagram for Initialization and de-initialization Functions:

## Functions
hal_status_t | hal_adc_init (adc_handle_t *p_adc)
| Initialize the ADC according to the specified parameters in the adc_init_t and initialize the associated handle. More...
hal_status_t | hal_adc_deinit (adc_handle_t *p_adc)
| De-initialize the ADC peripheral. More...
void | hal_adc_msp_init (adc_handle_t *p_adc)
| Initialize the ADC MSP. More...
void | hal_adc_msp_deinit (adc_handle_t *p_adc)
| De-initialize the ADC MSP. More...
uint16_t | adc_get_trim_func (adc_trim_info_t *p_adc_trim)
| adc_get_trim_func. More...

## Detailed Description

Initialization and Configuration functions.

## Function Documentation

## ◆ adc_get_trim_func()

uint16_t adc_get_trim_func | ( | adc_trim_info_t * | p_adc_trim | ) |

adc_get_trim_func.

Note
  This function should not be modified. When the callback is needed, the adc_get_trim_func can be implemented in the user file.

Parameters

  [in] | p_adc_trim | Pointer to save the trim information.

## ◆ hal_adc_deinit()

hal_status_t hal_adc_deinit | ( | adc_handle_t * | p_adc | ) |

De-initialize the ADC peripheral.

Parameters

  [in] | p_adc | Pointer to an ADC handle which contains the configuration information for the specified ADC module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_adc_init()

hal_status_t hal_adc_init | ( | adc_handle_t * | p_adc | ) |

Initialize the ADC according to the specified parameters in the adc_init_t and initialize the associated handle.

Parameters

  [in] | p_adc | Pointer to an ADC handle which contains the configuration information for the specified ADC module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_adc_msp_deinit()

void hal_adc_msp_deinit | ( | adc_handle_t * | p_adc | ) |

De-initialize the ADC MSP.

Note
  This function should not be modified. When the callback is needed, the hal_adc_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_adc | Pointer to an ADC handle which contains the configuration information for the specified ADC module.

## ◆ hal_adc_msp_init()

void hal_adc_msp_init | ( | adc_handle_t * | p_adc | ) |

Initialize the ADC MSP.

Note
  This function should not be modified. When the callback is needed, the hal_adc_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_adc | Pointer to an ADC handle which contains the configuration information for the specified ADC module.